@media only screen and (max-width:1650px) {
    .icon-header {
        display: none
    }

    .flat-trusted.home3 .media {
        margin-left: -100px
    }

    .flat-trusted .media-box {
        padding-right: 49px
    }

    .flat-trusted.home3 .years-title {
        margin-left: 50px
    }
}

@media only screen and (max-width:1565px) {
    .slider .mark-slider {
        display: none
    }
}

@media only screen and (max-width:1400px) {
    .phone-header.phone-style {
        display: none
    }

    .flat-trusted.home3 .media {
        margin-left: 0
    }

    .flat-trusted .media-box {
        padding-right: 30px
    }

    .flat-trusted.home3 .years-title {
        margin-left: 115px;
        margin-top: -60px
    }
}

@media only screen and (max-width:1199px) {

    .slider .flat-slider .sld-img img,
    .slider.home2 .flat-slider .sld-img img,
    .slider.home3 .flat-slider .sld-img img {
        height: 100%;
        padding: 0;
        object-fit: cover
    }

    .elip-header1,
    .elip-header2,
    .tf-button {
        display: none
    }

    .flat-title-page {
        padding: 250px 0 150px
    }

    #site-header .mobile-button {
        display: block;
        z-index: 200
    }

    .flat-blog .blog-wrap,
    .flat-case .work-wrap {
        width: 49.5%
    }

    #footer .footer-left .texts h1 {
        font-size: 180px
    }

    .flat-work.page-detail .work-post .content h3 {
        line-height: 30px
    }

    .flat-work.page-detail .work-post .content {
        margin: -135px 7px 0
    }

    .widget-information ul li .media {
        width: 25.5%
    }

    .title-imformation {
        width: 74.5%
    }

    .widget-information ul li .title-imformation.title1,
    .widget-information ul li .title-imformation.title2 {
        padding-left: 0
    }

    .flat-trusted.home3 .years-title {
        margin-left: 0;
        margin-top: -20px;
        text-align: center
    }
}

@media (min-width:768px) and (max-width:991px) {

    .flat-blog-details #contactform .name-wrap,
    .flat-blog-details #contactform .phone-wrap {
        padding-right: 5px;
        padding-bottom: 5px
    }

    .flat-blog-details #contactform .email-wrap,
    .flat-blog-details #contactform .site-wrap {
        padding-left: 5px;
        padding-bottom: 5px
    }

    #top-bar .inner .top-bar-left .content-center {
        float: right
    }

    .flat-work.page-detail .work-post .content {
        padding: 24px 10px 17px
    }

    .flat-blog .grid-post.style-post .content {
        padding: 10px 30px 30px 29px
    }

    #site-header {
        padding: 0 22px
    }

    .mobile-button {
        right: 24px
    }

    .flat-work.page-detail .work-post {
        margin: 0
    }
}

@media only screen and (max-width:991px) {

    
    #footer,
    .flat-blog-grid.home2,
    .flat-blog-grid.style-blog,
    .flat-testimonial.home2,
    .flat-trusted.home3,
    .flat-work.home3,
    .tf-space {
        padding: 100px 0
    }

    .flat-contact,
    .flat-servece.page {
        padding: 80px 0 100px
    }

    .flat-journey.home3 {
        padding-bottom: 100px
    }

    .slider .content,
    .slider .content.flat {
        left: 0;
         
    }

    .slider .content {
        left: 0 !important;
        right: 0
    }

    .slider.home3 .content {
        left: 22px
    }

    .slider .content h1 {
        font-size: 24px;
        line-height: 30px
    }

    .flat-counter.style {
        padding-bottom: 270px
    }

    .flat-counter .counter-box {
        padding-bottom: 40px
    }

    .button-custom-slider,
    .flat-counter .mark,
    .flat-trusted .tf-mark,
    .phone-header.home3 {
        display: none
    }

    .flat-trusted .trusted-heading {
        padding: 0;
        margin-bottom: 15px
    }

    .flat-trusted .media .trusted-years {
        right: 22%
    }

    .flat-and .and-heading,
    .flat-skill .skill-heading,
    .flat-skill .skill-heading h2,
    .flat-trusted .media-box {
        padding: 0
    }

    .flat-journey .img-mark {
        top: 27.9%;
        left: 33.5%
    }

    .flat-journey .media.img-2 {
        padding-top: 30px
    }

    .flat-journey .media.img-3 {
        margin-top: -20px
    }

    .flat-journey .media.img-1,
    .flat-journey .media.img-3 {
        width: 50%;
        padding: 0
    }

    .flat-and .media img,
    .flat-journey .media.img-1 img,
    .flat-journey .media.img-2 img,
    .flat-journey .media.img-3 img,
    .flat-journey .media.img-4 img,
    .flat-skill .media img,
    .flat-trusted .media img {
        width: 100%
    }

    .flat-case .widget.recent-news li {
        padding-bottom: 18px
    }

    .flat-and .texts {
        margin: 40px 0
    }

    .grid-post .content .entry-author {
        margin-right: 25px
    }

    .flat-testimonial .swiper-pagination-testi {
        text-align: center
    }

    .flat-testimonial.falt-client {
        background-position-y: 25%;
        background-position-x: 50%;
        padding: 115px 0 0
    }

    .flat-testimonial .testimonial-slider.tf-style {
        margin-top: 200px
    }

    .flat-case-img,
    .tf-map {
        padding-top: 100px
    }

    .flat-blog-grid.home03 .grid-post .content p {
        padding-bottom: 25px;
        margin-bottom: 22px
    }

    .flat-brand-1 .brand-slider,
    .flat-counter.home2,
    .flat-counter.page {
        padding-bottom: 70px
    }

    .flat-blog-details .post,
    .flat-case-details .post {
        margin-bottom: 50px
    }

    .flat-blog-details #contactform .btn-submit-comment,
    .flat-case .side-bar {
        margin-top: 30px
    }

    .flat-contact .post,
    .flat-skill .content h3,
    .flat-trusted.home3 .media {
        margin: 0
    }

    #footer .widget,
    .flat-blog-details .post .media.img-2,
    .flat-testimonial.home2 .testi-heading {
        margin-bottom: 40px
    }

    .flat-trusted.home3 .years-title {
        margin-left: 0;
        text-align: center;
        margin-top: -20px
    }

    .flat-servece {
        padding: 80px 0 300px
    }

    #footer .widget {
        padding: 0
    }

    #footer .menu-1 h3,
    #footer .menu-2 h3 {
        margin-bottom: 22px !important
    }

    #footer .widget h5 {
        margin-bottom: 40px !important
    }

    .header-style2,
    .header-style3 {
        padding: 0 !important
    }

    .logo-home2 {
        line-height: 0
    }

    .mobile-button.home2 {
        right: 15px;
        margin-top: -5px
    }

    .slider.home2 .content h1 {
        font-size: 82px;
        line-height: 92px
    }

    .flat-servece .title {
        padding: 0 0 30px;
        font-size: 30px;
        line-height: normal
    }

    .widget-information ul li .media {
        width: 9%;
        padding-right: 20px
    }

    .flat-blog .side-bar {
        margin-top: 70px
    }

    .flat-blog-grid .blog-button {
        margin-bottom: 5px
    }

    .flat-skill .progress-box1 {
        margin-left: 0;
        margin-right: 30px
    }

    .flat-and .and-heading h2,
    .flat-and .and-heading p {
        margin-bottom: 20px
    }

    .flat-team .team-box {
        margin-bottom: 16px
    }

    .flat-team,
    .tf-space.flat-team {
        padding-bottom: 60px
    }

    .flat-testimonial.home3 .testimonial-post .reviews-box .media {
        margin-right: 15px
    }

    .flat-testimonial.home3 .testimonial-post h3 {
        margin: 5px 0 15px
    }

    .flat-blog-grid.home03 {
        padding-bottom: 105px
    }

    .flat-case-details .post .text-4,
    .flat-case-details .wrap-pogress {
        margin-bottom: 30px
    }
}

@media only screen and (max-width:767px) {

    #footer,
    .flat-blog-grid.home03,
    .flat-blog-grid.home2,
    .flat-blog-grid.style-blog,
    .flat-trusted.home3,
    .tf-space {
        padding: 80px 0
    }

    .flat-contact {
        padding: 70px 0 80px
    }

    .flat-work.home3 {
        padding: 80px 0 70px
    }

    .flat-servece.page {
        padding: 60px 0 80px
    }

    .flat-journey.home3 {
        padding-bottom: 80px
    }

    .flat-case-img {
        padding: 80px 0 30px
    }

    .flat-blog-grid .blog-heading,
    .flat-case-details .post .text-4,
    .flat-service .service-heading,
    .flat-team .team-heading,
    .flat-work .work-heading {
        margin-bottom: 35px
    }

    .flat-and .and-heading .tf-sub-title,
    .flat-blog-details #contactform input,
    .flat-skill .skill-heading .tf-sub-title,
    .tf-sub-title {
        margin-bottom: 10px
    }

    .flat-service .service-post .content {
        padding: 0 20px 35px
    }

    #comments .comment-list .comment-avatar,
    .flat-blog-details .post .media.img-2,
    .flat-blog-details .post .text,
    .flat-case-details .post .box-img .image-1,
    .flat-case-details .post .text,
    .flat-case-details .post .text-2,
    .flat-service .service-post .content p,
    .flat-testimonial .testimonial-post h3,
    .flat-trusted .media.img-style,
    .flat-trusted .text {
        margin-bottom: 20px
    }

    .flat-service.home2 .service-post .content {
        padding-top: 0;
        padding-bottom: 32px
    }

    .flat-and .texts {
        margin: 20px 0 30px
    }

    .flat-brand-1 .brand-slider {
        padding-bottom: 65px
    }

    .flat-testimonial.home2,
    .tf-map {
        padding-top: 80px
    }

    .slider .flat-slider .sld-img img,
    .slider.home2 .flat-slider .sld-img img {
        height: 100%
    }

    #site-header {
        padding: 0 15px;
        display: block
    }

    .mobile-button {
        right: 16px
    }

    .slider.home2 .content {
        left: 15px;
        top: 18%
    }

    .slider .content {
        text-align: center;
        left: 0;
        margin-top: 0em;
        position: relative;
    }
    .flat-skill .skill-heading h2{
        font-size: 25px;
        line-height: 30px
    }

    .slider .content h1 {
        font-size: 25px;
        line-height: 28px
    }
    .swiper-slide{
        background: #000;
    }
    .slider .heading {
        margin-bottom: 0px
    }

    .flat-blog .blog-wrap,
    .flat-case .work-wrap {
        width: 100%;
        display: unset
    }

    .flat-blog-grid .grid-post .content .title-item {
        padding-bottom: 12px
    }

    .flat-blog-grid .grid-post {
        margin-bottom: 16px
    }

    .flat-blog .blog-wrap .grid-post.post-1,
    .flat-blog .blog-wrap .grid-post.post-2 {
        margin: 0 0 30px
    }

    .flat-work.tf-work {
        margin-top: -220px
    }

    .flat-work .work-post .content {
        padding: 24px 10px 20px 25px
    }

    .flat-journey .icon-box .icon-two,
    .flat-service-details .post .icon-box .icon-three,
    .flat-trusted .trusted-heading {
        padding-left: 0
    }

    .flat-and .flat-accordion h5 {
        line-height: 20px
    }

    .flat-journey .journey-heading,
    .flat-skill .skill-heading,
    .flat-trusted .trusted-heading {
        padding-right: 0
    }

    .flat-skill .progress-box1 {
        margin: 0 30px 40px 0
    }

    .flat-skill .progress-box2 {
        margin-bottom: 40px
    }

    .elip-header4,
    .elip-header5,
    .flat-blog-details .post .post-author .author-avatar,
    .flat-blog-details .post .post-image .thumb,
    .flat-counter .counter-box::after,
    .flat-journey .img-mark,
    .flat-service .swiper-pagination,
    .flat-testimonial .media-1,
    .flat-testimonial .media-2,
    .flat-work .swiper-pagination,
    .slider .phone-header.home2,
    .slider.home3 .button.btn-style3 {
        display: none
    }

    .flat-testimonial.falt-client .testimonial-post .content {
        padding: 50px 30px
    }

    .flat-testimonial.home2 .testimonial-post .content {
        padding: 30px 15px
    }

    .flat-testimonial .testimonial-post .tf-texts,
    .flat-testimonial.home2 .testimonial-post .tf-texts {
        padding: 20px 0 0
    }

    .flat-trusted .media .trusted-years {
        right: 26%
    }

    .flat-title-page .breadcrumbs h1 {
        font-size: 45px;
        line-height: 55px
    }

    .footer-widgets-nav-menu .menu-1 {
        margin-bottom: 25px
    }

    .flat-blog-grid .blog-button,
    .flat-service-details .post .icon-box {
        margin-top: 20px;
        margin-bottom: 20px
    }

    #comments .comment-list .comment-01,
    .flat-blog-details .post .media-2,
    .flat-case .side-bar,
    .flat-journey .text-style,
    .flat-service-details .post .text-2,
    .flat-service-details .post .text-3,
    .flat-skill .skill-heading p,
    .flat-trusted.home3 p,
    .flat-work.page .work-post.item {
        margin-bottom: 30px
    }

    .flat-blog-details .post .post-image {
        padding: 30px 15px;
        margin-bottom: 30px
    }

    .flat-blog-details .post .infor-row .tags a {
        padding: 10px 6px
    }

    .flat-blog-details .post h3 {
        margin: 0 0 20px
    }

    .flat-blog-details #contactform .style-text {
        width: 100%;
        display: contents
    }

    .flat-blog-details #contactform .name-wrap,
    .flat-blog-details #contactform .site-wrap {
        padding-bottom: 0 0 10px 0 !important
    }

    .slider.home2 .content h1,
    .slider.home3 .content h1 {
        font-size: 72px;
        line-height: 80px
    }

    .slider.home2 .heading {
        margin-bottom: 55px
    }

    .slider.home3 .content {
        left: 15px;
        top: 20%
    }

    #top-bar .inner .content-left {
        margin-right: 0;
        line-height: 32px
    }

    #top-bar .inner .top-bar-left {
        text-align: center;
        padding: 9px 0 16px
    }

    .flat-counter.home2 {
        padding: 0 0 80px
    }

    .flat-blog .grid-post.style-post .img-box,
    .flat-journey .icon-box .icon {
        width: 100%
    }

    .flat-journey .media.img-1,
    .flat-journey .media.img-3 {
        margin-top: 0;
        float: none;
        width: 100%;
        margin-bottom: 20px
    }

    .flat-journey .media.img-2,
    .flat-journey .media.img-4 {
        margin-bottom: 20px;
        padding: 0
    }

    .flat-journey .icon-box .icon-one {
        border-bottom: solid 0 var(--primary-color6)
    }

    .flat-trusted.home3 .years-title {
        margin-top: 0
    }

    .flat-service-details .post .box {
        display: flow-root;
        margin-bottom: 15px
    }

    .flat-service-details .post .box .media {
        margin-bottom: 20px;
        float: none
    }

    .flat-service-details .post .service-tag.tag1,
    .flat-service-details .post .service-tag.tag2 {
        width: 95%;
        float: left;
        margin: 0
    }

    .flat-service-details .flat-accordion .toggle-content {
        padding-right: 20px
    }

    .flat-service-details .post .icon-box .icon {
        width: 100%;
        display: inline-flex
    }

    #site-logo {
        margin: 8px 0
    }

    .mobile-button.home2 {
        right: 16px;
        margin-top: -48px
    }

    #comments .comment-list li,
    #top-bar .top-bar-content .inner,
    .flat-blog-details .post .infor-row {
        display: block
    }

    #top-bar .top-bar-content .inner,
    .flat-blog-details #contactform {
        text-align: center
    }

    #top-bar {
        height: unset
    }

    .side-bar {
        padding: 53px 15px 50px
    }

    #comments .comment-list li.reply {
        margin-left: 10%
    }

    .search-popup__form input {
        width: 300px
    }

    .flat-title-page {
        padding: 150px 0 100px
    }

    .widget-information ul li .media {
        width: 20.5%;
        padding-right: 20px
    }

    .flat-case-details .progress-box {
        float: unset;
        width: 100%;
        margin-bottom: 35px
    }

    .flat-case-details .progress-box.style-1,
    .flat-case-details .progress-box.style-2,
    .flat-case-details .progress-box.style-3,
    .flat-case-details .progress-box.style-4 {
        padding: 0
    }

    .post h3 {
        line-height: 25px
    }

    .flat-blog .grid-post.style-post,
    .flat-case-details .post .box-img {
        display: unset
    }

    .flat-case-details .post .box-img .image-2 {
        margin-left: 0;
        margin-bottom: 20px
    }

    .flat-contact .box .title-contact {
        line-height: 58px
    }

    .flat-blog-details .post .title-comment {
        line-height: 46px
    }

    .flat-blog .grid-post.style-post .content {
        width: 100%;
        padding: 31px 12px 35px 0
    }

    .flat-and {
        background-size: unset
    }

    .flat-and.and-style {
        padding-bottom: 0
    }

    .flat-journey .journey-heading {
        padding-top: 20px
    }

    .flat-case .work-wrap .work-post.item1,
    .flat-case .work-wrap .work-post.item2,
    .flat-case-details .wrap-pogress,
    .flat-work .work-heading h2 {
        margin: 0
    }

    .flat-service.home3 .service-post ul {
        margin-top: 25px
    }

    .flat-trusted .trusted-heading {
        margin-top: 5px
    }

    .flat-service .service-post .media {
        padding-top: 13px
    }

    .flat-servece {
        padding-top: 60px;
        padding-bottom: 240px
    }

    .flat-team.home3 {
        margin-top: -190px
    }

    .flat-brand .brand-slider {
        padding: 20px 0
    }

    .flat-journey .icon-box .icon {
        padding-bottom: 35px
    }

    .flat-case .button-case {
        margin-top: 40px
    }
}

@media (min-width:576px) and (max-width:767px) {
    .mobile-button.home2 {
        margin-top: 0
    }
}

@media (max-width:455px) {
    .slider.home3 .flat-slider .sld-img img {
        height: 900px
    }

    .slider.home3 .content {
        left: 15px;
        top: 17%
    }
}

@media (max-width:455px) {
    .slider.web-slider {
        display: none
    }
}

@media (min-width:455px) {
    .slider.mobile-slider {
        display: none
    }
}

@media (max-width:377px) {
    .themesflat-pagination ul li .page-numbers {
        width: 40px;
        height: 40px;
        line-height: 40px
    }

    .themesflat-pagination .next-style,
    .themesflat-pagination .prev-style {
        width: 50px !important;
        height: 40px !important
    }

    .slider.home2 .content h1 {
        font-size: 68px;
        line-height: 78px
    }

    .flat-servece .title {
        font-size: 74px;
        line-height: 86px
    }

    .slider .content {
        top: 25%
    }
}

@media (max-width:330px) {
    .slider.home2 .content {
        left: 15px;
        top: 10%
    }

    .flat-work .content h3 {
        line-height: 24px
    }
}

@media (max-width:310px) {
    .themesflat-pagination ul li .page-numbers {
        width: 35px;
        height: 35px;
        line-height: 35px
    }

    .themesflat-pagination .next-style,
    .themesflat-pagination .prev-style {
        width: 45px !important;
        height: 35px !important
    }

    .video-slider {
        display: none
    }

    .slider .content h1 {
        font-size: 38px;
        line-height: 46px
    }

    .slider.home2 .content h1,
    .slider.home3 .content h1 {
        font-size: 64px;
        line-height: 74px
    }

    .flat-work .work-post .content h3 {
        font-size: 16px
    }

    .flat-servece .title {
        font-size: 58px;
        line-height: 68px
    }

    .flat-skill .progress-box1,
    .flat-skill .progress-box2 {
        margin: 0 0 30px;
        float: unset;
        text-align: center
    }

    .flat-skill .progress-box2 {
        margin-bottom: 50px
    }
}